Calculate Linux - Bug # 851: www-client/firefox : Segfault sometimes

Status: Closed Priority: Normal
Author: Adrien Duck Category:

Created: 01/03/2016 Assignee:

Updated: 03/28/2016 Due date:

Subject: www-client/firefox : Segfault sometimes

Description: Hi team Calculate,

| have a problem with "www-client/firefox"
Sometimes, Firefox crash (i think it's javascript).

| tried to launch Firefox in console and | just have the "Segfault error".

| tried reset my profile and launch firefox without extensions : same problem.

I unmerge www-client/firefox and emerge www-client/firefox-bin, with the same profile, no problem.
Do you have the same problem and can you fix it ?

| don't know how to help you...

| use CLD 64bits. www-client/firefox with default USE FLAG by calculate.

History

01/09/2016 11:43 pm - Alexander Pilipenko
Try to build with USE="debug" and launch in console

01/11/2016 03:22 pm - DiPUNED3PUD! Debud B¥:N,D¥4D?
you have tried disable flash plugin?

01/11/2016 07:58 pm - Adrien Duck
| didn't install flash.
| try debug option.

01/11/2016 10:20 pm - Adrien Duck
Alexander Pilipenko wrote:

> Try to build with USE="debug" and launch in console
With debug FLAG it's very difficult to surf on the Internet.

When | click on a link, the page is displayed 3 or 4 seconds after ... it's very long and i can't use Firefox with that.
Each time | click on a link, some lines displayed on my console :

<pre>

--DOMWINDOW == 187 (0x7f2982feec00) [pid = 8717] [serial = 453] [outer = (nil)] [url = about:blank]
--DOMWINDOW == 186 (0x7f295b1df000) [pid = 8717] [serial = 456] [outer = (nil)] [url = about:blank]
--DOMWINDOW == 185 (0x7f29ce55cc00) [pid = 8717] [serial = 468] [outer = (nil)] [url = about:blank]
--DOMWINDOW == 184 (0x7f295bc6ac00) [pid = 8717] [serial = 465] [outer = (nil)] [url = about:blank]
--DOMWINDOW == 183 (0x7f29600e3c00) [pid = 8717] [serial = 462] [outer = (nil)] [url = about:blank]
--DOMWINDOW == 182 (0x7f2982fef800) [pid = 8717] [serial = 454] [outer = (nil)] [url = about:blank]

--DOMWINDOW == 181 (0x7f295f610c00) [pid = 8717] [serial = 457] [outer = (nil)] [url = about:blank]
--DOMWINDOW == 180 (0x7f29d3522400) [pid = 8717] [serial = 469] [outer = (nil)] [url = about:blank]

--DOMWINDOW == 179 (0x7f295bc6c400) [pid = 8717] [serial = 466] [outer = (nil)] [url = about:blank]

--DOMWINDOW == 178 (0x7f29600ed000) [pid = 8717] [serial = 463] [outer = (nil)] [url = about:blank]

++DOMWINDOW == 179 (0x7f295¢33a800) [pid = 8717] [serial = 474] [outer = 0x7f29b556a000]

[8717] WARNING: Image width or height is non-positive: file
Ivar/calculate/tmp/portage/www-client/firefox-43.0/work/firefox-43.0/layout/base/nsLayoutUtils.cpp, line 6277

</pre>

01/11/2016 10:31 pm - Adrien Duck
It didn't take long ...

<pre>
++DOMWINDOW == 87 (0x7ff30b8b3000) [pid = 19252] [serial = 747] [outer = 0x7ff333ba8400]
[19252] WARNING: Image width or height is non-positive: file

Ivar/calculate/tmp/portage/www-client/firefox-43.0/work/firefox-43.0/layout/base/nsLayoutUtils.cpp, line 6277

JavaScript error: http://www.mageialinux-online.org/kernel/lib/js/mlo/sequence/sequence.js, line 22: TypeError: sequence is undefined

--DOCSHELL 0x7ff309f57800 == 39 [pid = 19252] [id = 344]

--DOCSHELL 0x7ff313cf8800 == 38 [pid = 19252] [id = 348]

--DOCSHELL 0x7ff3126¢1800 == 37 [pid = 19252] [id = 347]

--DOMWINDOW == 86 (0x7ff310ece800) [pid = 19252] [serial = 578] [outer = 0x7ff3072c7c00] [url = about:blank]

--DOMWINDOW == 85 (0x7f313a04800) [pid = 19252] [serial = 740] [outer = 0x7ff30ab52000] [url = about:blank]

--DOMWINDOW == 84 (0x7ff30ab52000) [pid = 19252] [serial = 739] [outer = (nil)] [url = about:blank]

--DOMWINDOW == 83 (0x7ff3072c7c00) [pid = 19252] [serial = 577] [outer = (nil)] [url = about:blank]

--DOMWINDOW == 82 (Ox7ff3116b9c00) [pid = 19252] [serial = 732] [outer = (nil)] [url =
https:/itwitter.com/i/cards/tfw/v1/650088036802269184?advertiser_name=MuleSoft&cardname=summary_large_image&is_following_advertiser=false&
impression_id=59140185c1c02cfa&lang=fr#xdm_e=https%3A%2F%2Ftwitter.com&xdm_c=default6587&xdm_p=1]

++DOMWINDOW == 83 (0x7ff30ab56c00) [pid = 19252] [serial = 748] [outer = 0x7{f333ba8400]

[19252] WARNING: Image width or height is non-positive: file
Ivar/calculate/tmp/portage/www-client/firefox-43.0/work/firefox-43.0/layout/base/nsLayoutUtils.cpp, line 6277

[19252] WARNING: Rasterlmage::Init failed: file /var/calculate/tmp/portage/www-client/firefox-43.0/work/firefox-43.0/image/ImageFactory.cpp, line 109
JavaScript error: http://www.mageialinux-online.org/kernel/lib/js/mlo/sequence/sequence.js, line 22: TypeError: sequence is undefined

Program firefox (pid = 19252) received signal 11.
Stack:

#01: ???[/usr/lib64/firefox/libxul.so +0x2f92ef1]
#02: ???[/lib64/libpthread.so0.0 +0x10740]

#03: ???[/usr/lib64/firefox/libxul.so +0x3230ecd]
#04: ???[/usr/lib64/firefox/libxul.so +0x31e6c9a]
#05: ???[/usr/lib64/firefox/libxul.so +0x362fba0]
#06: ???[/usr/lib64/firefox/libxul.so +0x363ebe0]
#07: ???[/usr/lib64/firefox/libxul.so +0x363fbfe]
#08: ???[/usr/lib64/firefox/libxul.so +0x3640142]
#09: ???[/usr/lib64/firefox/libxul.so +0x3641e8a]
#10: ???[/usr/lib64/firefox/libxul.so +0x16c38e0]
#11: ???[/usr/lib64/firefox/libxul.so +Oxacea7a]
#12: ???[/usr/lib64/firefox/libxul.so +0xac5efc]
#13: ???[/usr/lib64/firefox/libxul.so +0xac23ff]
#14: ???[/usr/lib64/firefox/libxul.so +0xaf13aa]
#15: ???[/usr/lib64/firefox/libxul.so +0xd93cal]
#16: ???[/usr/lib64/firefox/libxul.so +0xd68978]
#17: ???[/usr/lib64/firefox/libxul.so +0xd689cd]
#18: ???[/usr/lib64/firefox/libxul.so +0x2571ad1]
#19: ???[/usr/lib64/firefox/libxul.so +0x2d656f5]

#20: ???[/usr/lib64/firefox/libxul.so +0x2dbf734]

#21: ???[/usr/lib64/firefox/libxul.so +0x2dbf9cf]

#22: XRE_main[/usr/lib64/firefox/libxul.so +0x2dbfc1f]
#23: ???[firefox +0x536a]

#24: ???[firefox +0x4b8a]

#25: __libc_start_main[/lib64/libc.s0.6 +0x20850]
#26: _start[firefox +0x4cb9]

#27: 222 (222:22?)

Sleeping for 300 seconds.

Type 'gdb firefox 19252' to attach your debugger to this thread.

Processus arrété

</pre>

01/12/2016 09:15 am - Alexander Tratsevskiy

Recently | began to use Firefox on Android. Yes, he occasionally falls! )

01/15/2016 06:55 pm - Alexander Frolov
I have similar issue with @www-client/firefox-43.0@ (marked as @~arch@): random crashes, sometimes during video (no flash plugin), sometimes on

pages with infinite scrolling. Version from package @www-client/firefox-bin-43.0@ seems to work fine.

02/24/2016 11:32 am - D-D¥%:D NEPUD! D'D¥.D»DD¥.D?

Similar issue: http://www.calculate-linux.ru/issues/827

03/25/2016 10:04 am - Adrien Duck

| found the solution :

In about:config :
layers.offmainthreadcomposition.async-animations -> false

layers.offmainthreadcomposition.enabled -> false

USE :

www-client/firefox -system-cairo

03/25/2016 05:57 pm - Alexander Tratsevskiy
- Status changed from New to Feedback

Thank you, Adrien! With the corrected flag seems to be no problem.

03/28/2016 06:32 pm - Alexander Tratsevskiy

- Status changed from Feedback to Closed
